# Class BasicSplitPaneUI.FocusHandler

java.lang.Object
java.awt.event.FocusAdapter
javax.swing.plaf.basic.BasicSplitPaneUI.FocusHandler

All Implemented Interfaces:
  `FocusListener, EventListener`

Enclosing class:
  `BasicSplitPaneUI`

public class BasicSplitPaneUI.FocusHandler extends FocusAdapter
Implementation of the FocusListener that the JSplitPane UI uses.

This class should be treated as a "protected" inner class. Instantiate it only within subclasses of BasicSplitPaneUI.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FocusHandler()`
  Constructs a `FocusHandler`.

- ## Method Summary

  ### Methods declared in class FocusAdapter

  `focusGained, focusLost`

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### FocusHandler

    public FocusHandler()
    Constructs a `FocusHandler`.